
import java.awt.*;
import java.applet.*;

/**
    Demonstrate Border Layout: Only East, West and Center
*/
public class BorderLayoutApplet extends Applet {

    public void init() {

        // Create a canvas
        Canvas drawRegion = new Canvas();
        drawRegion.setSize(150,150);
        drawRegion.setBackground(Color.white);

        // Create 2 vertical scrollbars
        Scrollbar sb1 = new Scrollbar(Scrollbar.VERTICAL, 0, 10, -50, 100);
        Scrollbar sb2 = new Scrollbar(Scrollbar.VERTICAL, 0, 10, -50, 100);
        // Create and set border layout
        setLayout(new BorderLayout());

        // Add the components
        add(drawRegion, BorderLayout.CENTER);
        add(sb1, BorderLayout.WEST);
        add(sb2, BorderLayout.EAST);
    }
}
