
// Clipping Demo
import java.applet.*;
import java.awt.*;

public class ClippingApplet extends Applet {

    public void init () {
        setForeground(Color.black);
        setBackground(Color.yellow);
    }

    public void paint (Graphics g) {
        g.translate(getInsets().left, getInsets().top);

        // Set clipping region
        g.setClip(50,50,100,100);

        // Draw Pac-man in a 300 x 300 area
        for (int i = 0; i < 300; i += 60)
            for (int j = 0; j < 300; j += 60)
                g.fillArc(i, j,         // top left-hand corner
                          50, 50,       // width, height
                          30, 300);     // start angle, sweep angle
    }
}
