
import java.applet.*;
import java.awt.*;

public class ComponentUpdating extends Applet {

    public void init () {
        Panel panelOne = new SubPanel(Color.lightGray, Color.white);
        Panel panelTwo = new SubPanel(Color.yellow, Color.black);
        setLayout(new GridLayout(0,1));
        add(panelOne);
        add(panelTwo);
    }
}

class SubPanel extends Panel {

    private boolean toggle = false;
    private Color color1;
    private Color color2;

    public SubPanel(Color c1, Color c2) {
        color1 = c1;
        color2 = c2;
    }

    public void paint(Graphics g) {
        if (toggle)
            g.setColor(color1);
        else
            g.setColor(color2);
        Rectangle bounds = getBounds();
        g.fillRect(0, 0, bounds.width, bounds.height);
        toggle = !toggle;
    }
}
