
// Rectangles
import java.applet.*;
import java.awt.*;

public class RectangleApplet extends Applet {

    public void paint(Graphics g) {
         // Rectangle and filled square
         g.setColor(Color.orange);
         g.drawRect(25, 10, 50, 75);
         g.fillRect(25, 110, 50, 50);

         // Rounded: rectangle and filled square
         g.setColor(Color.blue);
         g.drawRoundRect(100, 10, 50, 75, 30, 50);
         g.fillRoundRect(100, 110, 50, 50, 20, 20);

         // 3D: rectangle and square
         g.setColor(Color.black);
         g.draw3DRect(175, 10, 50, 75, true);
         g.draw3DRect(175, 110, 50, 50, false);

         // 3D: filled rectangle and square
         g.setColor(Color.lightGray);
         g.fill3DRect(250, 10, 50, 75, true);
         g.fill3DRect(250, 110, 50, 50, false);
    }
}
