
// Polygons
import java.applet.*;
import java.awt.*;

public class PolygonApplet extends Applet {

    public void paint (Graphics g) {

        // Create the vertices
        int[] xPoints = {10, 30, 40, 50, 70, 50, 40, 30};
        int[] yPoints = {40, 30, 10, 30, 40, 50, 70, 50};
        int nPoints = xPoints.length;

        // Create a polygon and draw it
        Polygon starShape = new Polygon(xPoints, yPoints, nPoints);
        g.setColor(Color.red);
        g.drawPolygon(starShape);

        // Put a box around it.
        g.setColor(Color.black);
        Rectangle bounds = starShape.getBounds();
        g.drawRect(bounds.x, bounds.y, bounds.width, bounds.height);

        // Fill a polygon given by two anonymous arrays
        g.setColor(Color.darkGray);
        g.fillPolygon(
            new int[] {80, 100, 110, 120, 140, 120, 110, 100},
            new int[] {40, 30, 10, 30, 40, 50, 70, 50},
            8);
    }
}
