
class Light {
    // Instance variables
    private int noOfWatts;           // wattage
    private boolean indicator;       // on or off
    private String location;         // placement

    // Instance methods
    public void switchOn()  { indicator = true; }
    public void switchOff() { indicator = false; }
    public boolean isOn()   { return indicator; }

    public static Light duplicateLight(Light oldLight) {       // (1)
        Light newLight = new Light();
        newLight.noOfWatts = oldLight.noOfWatts;               // (2)
        newLight.indicator = oldLight.indicator;               // (3)
        newLight.location = new String(oldLight.location);     // (4)
        return newLight;
   }
}
