
class DivisionByZeroException extends Exception {                      // (1)
    public DivisionByZeroException(String msg) { super(msg); }
}

public class DivisionByZero6 {
    public void division() throws DivisionByZeroException {            // (2)
        int num1 = 10;
        int num2 = 0;

        if (num2 == 0) throw new DivisionByZeroException("/ by 0");    // (3)
        System.out.println(num1 + " / " + num2 + " = " + (num1 / num2));
        System.out.println("Returning from division.");
    }

    public static void main(String args[]) {
         try {                                                         // (4)
             new DivisionByZero6().division();
         } catch (DivisionByZeroException e) {                         // (5)
            System.out.println("In main, dealt with " + e);
         } finally {                                                   // (6)
             System.out.println("Finally done in main.");
         }
         System.out.println("Returning from main.");                   // (7)
    }
}
