
class Light {                       // (1)
    // Instance variables
    private int noOfWatts;          // wattage
    private boolean indicator;      // on or off
    private String location;        // placement

    // Static variable
    private static int counter;     // no. of Light objects created

    // Constructor
    Light() {
        noOfWatts = 50;
        indicator = true;
        location = new String("X");
    }

    // Instance methods
    public void switchOn()  { indicator = true; }
    public void switchOff() { indicator = false; }
    public boolean isOn() { return indicator; }

    // Static methods
    public static void writeCount() {
         System.out.println("Number of lights: " + counter);
    }
    //...
}

class TubeLight extends Light {     // (2)
    // Instance variables
    private int tubeLength;
    private int color;

    // Instance method
    public int getTubeLength() { return tubeLength; }
    // ...
}
