
// Filename: AccessInTopLevelClass.java
public class AccessInTopLevelClass {                            // (1)
    public void nonStaticMethod() {                             // (2)
        System.out.println("nonstaticMethod in AccessInTopLevelClass");
    }

    private static class NestedTopLevelClass {                  // (3)
        private static int i;                                   // (4)
        private int j;                                          // (5)

        public static void staticMethod() {                     // (6)
            System.out.println("staticMethod in NestedTopLevelClass");
        }

        interface NestedTopLevelInterface1 { int Y2K = 2000; }  // (7)

        protected static class NestedTopLevelClass1
                implements NestedTopLevelInterface1 {           // (8)
            private int k = Y2K;                                // (9)

            public void anotherNonStaticMethod() {              // (10)
            //  int jj = j;              // (11) Not OK.
                int ii = i;              // (12)
                int kk = k;              // (13)

            //  nonStaticMethod();       // (14) Not OK.
                staticMethod();          // (15)
            }

            public static void main (String args[]) {
                int ii = i;              // (16)
            //  int kk = k;              // (17) Not OK.
                staticMethod();          // (18)
            }
        }
    }
}
