
class ToplevelClass {                                           // (1)

    private static String msg = "Shine the inner light.";       // (2)
    public NonStaticInnerClass makeInstance() {                 // (3)
        return new NonStaticInnerClass();                       // (4)
    }
    public class NonStaticInnerClass {                          // (5)
    //  private static int staticVar;                           // (6) Not OK.
        private String string;                                  // (7)
        public NonStaticInnerClass() { string = msg; }          // (8)
        public void printMsg() { System.out.println(string); }  // (9)
    }
}

public class Client {                                           // (10)
    public static void main(String args[]) {                    // (11)
        ToplevelClass topRef = new ToplevelClass();             // (12)
        ToplevelClass.NonStaticInnerClass innerRef1 = 
                      topRef.makeInstance();                    // (13)
        innerRef1.printMsg();                                   // (14)
    //  ToplevelClass.NonStaticInnerClass innerRef2 = 
    //                new ToplevelClass.NonStaticInnerClass();  // (15) Not OK.
        ToplevelClass.NonStaticInnerClass innerRef3 = 
                      topRef.new NonStaticInnerClass();         // (16)
    }
}
