
class Base {
    protected int a;
    protected int b;
    void print() {
        System.out.println("a: " + a);
    }
}

class AnonClassMaker {
    Base creatAnon() {
        return new Base() {           // (1) Anonymous class
            {                         // (2) Instance initializer
                a = 5; b = 10;
            }
            void print() {
                super.print();
                System.out.println("b: " + b);
            }
        };  // end anonymous class
    }
}

public class InstanceInitBlock {
    public static void main(String args[]) {
        new AnonClassMaker().creatAnon().print();
    }
}
