
class SuperclassA {
    protected int superValue;                              // (1)
    public SuperclassA() {                                 // (2)
        System.out.println("Constructor in SuperclassA");
        this.doValue();                                    // (3)
    }
    public void doValue() {                                // (4)
        this.superValue = 911;
        System.out.println("superValue: " + this.superValue);
    }
}

class SubclassB extends SuperclassA {
    private int value = 800;                               // (5)
    public SubclassB() {                                   // (6)
        System.out.println("Constructor in SubclassB");
        this.doValue();
        System.out.println("superValue: " + this.superValue);
    }
    public void doValue() {                                // (7)
        System.out.println("value: " + this.value);
    }
}

public class ObjectInitialization {
    public static void main(String args[]) {
        new SubclassB();                                   // (8)
    }
}
