// Filename: Exercise2.java
interface Function {
    public int evaulate(int arg);
}

class Half implements Function {
    public int evaulate(int arg) {
        return arg/2;
    }
}

class Print implements Function {
    public int evaulate(int arg) {
        System.out.println(arg);
        return arg;
    }
}

public class Exercise2 {
    public static void main(String args[]) {
        // Create array with values 1 .. 10
        int[] myArr = new int[10];
        for (int i=0; i<10;) myArr[i] = ++i;

        // Create a print function
        Function print = new Print();

        // Print array
        applyFunctionToArray(myArr, print);

        // Half values
        myArr = applyFunctionToArray(myArr, new Half());

        // Print array again
        applyFunctionToArray(myArr, print);
    }

    public static int[] applyFunctionToArray(int[] arrIn, Function func) {
        int length = arrIn.length;
        int[] arrOut = new int[length];

        for (int i=0; i< length; i++)
            arrOut[i] = func.evaulate(arrIn[i]);

        return arrOut;
    }
}
