
class CharStack {                 // Class name
    // Class Declarations:

    // (1) Variables:
    private char[] stackArray;    // The array that implements the stack.
    private int topOfStack;       // The top of the stack.

    // (2) Constructor:
    public CharStack(int n) { stackArray = new char[n]; topOfStack = -1; }

    // (3) Methods:
    public void push(char element) { stackArray[++topOfStack] = element; }
    public char pop() { return stackArray[topOfStack--]; }
    public char peek() { return stackArray[topOfStack]; }
    public boolean isEmpty() { return topOfStack < 0; }
    public boolean isFull() { return topOfStack >= stackArray.length; }
}
