
class Percolate {

    public static void main (String args[]) {
        int[] dataSeq = {8,4,6,2,1};   // Create and initialize an array.

        // Write array before percolation.
        for (int i = 0; i < dataSeq.length; ++i)
            System.out.print(" " + dataSeq[i]);
        System.out.println();

        // Percolate.
        int maxIndex = 0;
        for (int index = 1; index < dataSeq.length; ++index)
           if (dataSeq[maxIndex] > dataSeq[index]) {
               swap(dataSeq, maxIndex, index);                     // (1)
               maxIndex = index;
           }

        // Write array after percolation.
        for (int i = 0; i < dataSeq.length; ++i)
            System.out.print(" " + dataSeq[i]);
        System.out.println();
    }

    public static void swap(int[] table, int i, int j) {           // (2)
        int tmp = table[i]; table[i] = table[j]; table[j] = tmp;
    }
}
