
class Light {
    // Final static variable                  (1)
    final public static double KWH_PRICE = 3.25;

    int noOfWatts;

    // Final instance methods                 (2)
    final public void setWatts(int watt) {
         noOfWatts = watt;
    }

    public void setKWH() {
      // KWH_PRICE = 4.10;                 // (3) Not OK. Cannot be changed.
    }
}

class TubeLight extends Light {
    // Final method cannot be overriden.
    // This will not compile.
    /*
    public void setWatts(int watt) {       // (4) Attempt to override.
         noOfWatts = 2*watt;
    }
    */
}

public class Warehouse {
    public static void main(String args[]) {

        final Light aLight = new Light();// (5) Final local variable.
        aLight.noOfWatts = 100;          // (6) OK. Changing object state.
    //  aLight = new Light();            // (7) Not OK. Changing final reference.
    }
}
