
class DivisionByZeroException extends Exception {
    DivisionByZeroException(String msg) { super(msg); }
}

public class DivisionByZero5 {
    public void division() {
        int num1 = 10;
        int num2 = 0;
        try {                                                            // (1)
            if (num2 == 0) throw new DivisionByZeroException("/ by 0");  // (2)
            System.out.println(num1 + " / " + num2 + " = " + 
                              (num1 / num2));                            // (3)
        } catch (DivisionByZeroException e) {                            // (4)
            System.out.println("Dealt with " + e);
        } finally {                                                      // (5)
            System.out.println("Finally done.");
      }
      System.out.println("Returning from division.");                    // (6)
    }

    public static void main(String args[]) {
        new DivisionByZero5().division();
        System.out.println("Returning from main.");                      // (7)
    }
}
