
class SuperB {
    protected double x;
    protected static int n;
}

class SuperC {
    protected double y;
    protected static int m;
}

class TopLevelA extends SuperC {   // Top-level Class
    private double z;
    private static int p;
    SuperB b = new SuperB() {    // (1) Non-static anonymous class
        //  static double d;     // (2) Not OK. Only non-static members allowed.
            double zz = TopLevelA.this.z;// (3) non-static from enclosing class.
            int pp = p;          // (4) static from enclosing class.
            double yy = y;       // (5) inherited by enclosing class.
            int mm = m;          // (6) static from enclosing class.
            double xx = this.x;  // (7) non-static inherited from superclass.
            int nn = this.n;     // (8) static from superclass.
    };

    static SuperB staticMethod(final int i) { // Static Method
        final int j = 10;
        int k;
        return new SuperB() {   // (9) Static anonymous class.
        //  static double d;    // (10) Not OK. Only non-static members allowed.
            int ii = i;         // (11) final from enclosing method.
            int jj = j;         // (12) final from enclosing method.
        //  double kk = k;      // (13) Not OK. Non-final from enclosing method.
        //  double zz = TopLevelA.this.z; // (14) Not OK. Non-static member.
            int pp = p;         // (15) static from enclosing class.
        //  double yy = y;      // (16) Not OK. Non-static member.
            int mm = m;         // (17) static from enclosing class.
            double xx = this.x; // (18) non-static inherited from superclass.
            int nn = this.n;    // (19) static from superclass.
        };
    }
}
