
class B {
    protected double x = 2.17;
}

class A {                                          // (1) Top-level Class
    private double x = 3.14;

    class C extends B {                            // (2) Non-static inner Class
    //  private double w = x;                      // (3) Compile time error
        private double y = this.x;                 // (4) x from superclass
        private double z = A.this.x;               // (5) x from enclosing class
        public void printX() {                     // (6)
            System.out.println("this.x: " + y);
            System.out.println("A.this.x: " + z);
        }
    }
}

public class Client4 {                             // (7)
    public static void main(String args[]) {
        A.C ref = new A().new C();
        ref.printX();
    }
}
