
class SuperB {
    protected double x;
    protected static int n;
}

class SuperC {
    protected double y;
    protected static int m;
}

class TopLevelA extends SuperC {               // Top-level Class
    private double z;
    private static int p;

    void nonStaticMethod(final int i) {        // Non-static Method
        final int j = 10;
        int k;
        class NonStaticLocalD extends SuperB { // Non-static local class
        //  static double d;   // (1) Not OK. Only non-static members allowed.
            int ii = i;        // (2) final from enclosing method.
            int jj = j;        // (3) final from enclosing method.
        //  double kk = k;     // (4) Not OK. Only finals from enclosing method.
            double zz = z;     // (5) non-static from enclosing class.
            int pp = p;        // (6) static from enclosing class.
            double yy = y;     // (7) inherited by enclosing class.
            int mm = m;        // (8) static from enclosing class.
            double xx = x;     // (9) non-static inherited from superclass
            int nn = n;        // (10) static from superclass
        }
    }

    static void staticMethod(final int i) {    // Static Method
        final int j = 10;
        int k;
        class StaticLocalE extends SuperB {    // Static local class
        //  static double d;   // (11) Not OK. Only non-static members allowed.
            int ii = i;        // (12) final from enclosing method.
            int jj = j;        // (13) final from enclosing method.
        //  double kk = k;     // (14) Not OK. Non-final from enclosing method.
        //  double zz = z;     // (15) Not OK. Non-static member.
            int pp = p;        // (16) static from enclosing class.
        //  double yy = y;     // (17) Not OK. Non-static member.
            int mm = m;        // (18) static from enclosing class.
            double xx = x;     // (19) non-static inherited from superclass
            int nn = n;        // (20) static from superclass
        }
    }
}
