// Filename: ShowExerciseText.java
import java.awt.*;

public class ShowExerciseText {
    public static void main(String args[]) {
        Window window = new Frame("Exercise text");

        String exercise = "Create a program that shows the text from " +
            "this exercise in a text area. Make the size of the frame " +
            "containing the text area 200 by 200 pixels. The text area " +
            "should not have any scrollbars and the text should not be " +
            "editable. Make the text appear as yellow lettering on a " +
            "black background.";

        /* The number of rows and columns we specify here for the text area
           does not matter since it will be overridden by the setSize() call on the
           window. */
        TextArea textDisplay = new TextArea(exercise, 5, 5,
                                      TextArea.SCROLLBARS_NONE);

        textDisplay.setEditable(false);
        textDisplay.setBackground(Color.black);
        textDisplay.setForeground(Color.yellow);
        window.add(textDisplay);
        window.setSize(200, 200);
        window.setVisible(true);
    }
}
